clc
clear all

syms s

%Polos del sistema
T1 = 643;
T2 = 331;
ganancia = 1.289;
numerador=ganancia;
denominador=sym2poly((T1*s+1)*(T1*s+1));

Modelo=tf(ganancia,sym2poly((T1*s+1)*(T1*s+1)))

FiltroRealim = 1;

%% 
Kp=2.2;
Ki=0.00074;
Kd=245;

Controlador=pid(Kp,Ki,Kd)

T=feedback(Controlador*Modelo,FiltroRealim)

opciones = stepDataOptions('StepAmplitude',70);
figure(1)
grid on
hold on
[y,t]=step(T,opciones);
plot(t,y)
